%global commit0 2f61f71b0e75ee3e67da01d2eb1d949d1db8f5d3
%global srcurl  https://github.com/ptitSeb/%{name}

Name:           gl4es
Version:        1.1.2
Release:        2.20200106git2f61f71%{?dist}
Summary:        OpenGL to GL ES translation library

License:        MIT
URL:            http://ptitseb.github.io/gl4es/
Source0:        %{srcurl}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz

BuildRequires:  cmake gcc
BuildRequires:  Xvfb
# rhbz#904851, won't get GLX w/o mesa-dri-drivers
BuildRequires:  mesa-dri-drivers
BuildRequires:  apitrace
BuildRequires:  ImageMagick

%description
This is a library provide OpenGL 2.x functionality for GLES2.0 accelerated
Hardware (and of course also support OpenGL 1.5 function, sometimes better then
when using GLES 1.1 backend) There is also support for GLES 1.1 Hardware,
emulating OpenGL 1.5, and some OpenGL 2.x+ extensions.


%package devel
Summary:        Development files for GL4ES
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%summary.


%prep
%autosetup -n%{name}-%{commit0}
rm -v COMPILE.md
# W: spurious-executable-perm
chmod -x *.md

%build
mkdir build
pushd build
%cmake .. \
 -DBCMHOST=1 -DNOEGL=1 -DNOX11=1 -DDEFAULT_ES=2 -DUSE_CLOCK=ON\
 -DCMAKE_SKIP_BUILD_RPATH=TRUE
popd
%make_build -C build


%install
mkdir -p %{buildroot}%{_libdir}/%{name}
install -p build/lib/libGL.so* %{buildroot}%{_libdir}/%{name}
ln -s libGL.so.1 %{buildroot}%{_libdir}/%{name}/libGL.so
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pr include/* %{buildroot}%{_includedir}/%{name}


%check
pushd tests
export LIBGL_DEBUG=verbose
# FIXME neverball gives error and exits
find . -name \*.sh -print -exec\
 xvfb-run -s "-screen 0 640x480x24" '{}' \;


%files
%license LICENSE
%doc *.md
%{_libdir}/%{name}
%{_libdir}/%{name}/libGL.so.1

%files devel
%license LICENSE
%{_libdir}/%{name}/libGL.so
%{_includedir}/%{name}/


%changelog
* Thu Jul 23 2020 Raphael Groner <projects.rg@smart.ms> - 1.1.2-2.20200106git2f61f71
- prepare for review

* Mon Jan 06 2020 Raphael Groner <projects.rg@smart.ms> - 1.1.2-1.20200106git2f61f71
- initial
